:root {
  --primary: #0f52ba;
  --primary-100: #0c4bab;
  --primary-200: #0b469e;
  --primary-300: #093d8c;
  --primary--100: #195abf;
  --primary--200: #2161c4;
  --primary--300: #2969cc;

  --secondary: #233f70;
  --secondary-100: #1e3969;
  --secondary-200: #1a3463;
  --secondary-300: #162f5c;
  --secondary--100: #2a4778;
  --secondary--200: #324f80;
  --secondary--300: #3c5a8f;

  --tertiary: #f89821;
  --tertiary-100: #f2921b;
  --tertiary-200: #ed8d16;
  --tertiary-300: #eb8507;
  --tertiary--100: #fa9c28;
  --tertiary--200: #fca232;
  --tertiary--300: #ffa93d;
}

.w-90 {
  width: 90%;
}

.custom-bg-color-light-3 {
  background-color: #fbfcfc !important;
}

/* NAV */
.header-nav-main .nav-link {
  font-size: 16px !important; /* Adjust to your preference */
  width: max-content !important;
}

@media (max-width: 992px) {
  #cloud {
    flex-direction: column-reverse;
  }
}

@media (min-width: 992px) {
  #header .header-nav-main nav > ul > li {
    margin-left: 8px;
  }
}

/* HERO MAP */

.map-custom {
  top: -80px;
  left: -35px;
}

@media (min-width: 576px) {
  .map-custom {
    left: -70px;
    max-width: calc(100% + 70px);
  }
}

@media (min-width: 768px) {
  .map-custom {
    top: -140px;
    left: -60px;
    max-width: calc(100% + 20px);
  }
}

@media (min-width: 992px) {
  .map-custom {
    top: -60px;
    left: -135px;
    max-width: calc(100% + 150px);
  }
}

@media (min-width: 1200px) {
  .map-custom {
    left: -150px;
    max-width: calc(100% + 100px);
  }
  .custom-hero-text {
    padding-right: 6rem;
    padding-left: 2rem;
  }
}
/* --------- KIOSK IMAGE -------- */

.kiosk-img-custom {
  transform: translate3d(-15%, -40%, 0) !important;
  scale: 90%;
}

@media (min-width: 576px) {
  .kiosk-img-custom {
    transform: translate3d(-5%, -30%, 0) !important;
    scale: 100%;
  }
}
@media (min-width: 768px) {
  .kiosk-img-custom {
    transform: translate3d(0, -30%, 0) !important;
    scale: 100%;
  }
}
@media (min-width: 992px) {
  .kiosk-img-custom {
    transform: translate3d(-10%, 0, 0) !important;
    scale: 110%;
  }
}
@media (min-width: 1200px) {
  .kiosk-img-custom {
    transform: translate3d(0, 0, 0) !important;
    scale: 115%;
  }
}

/* --------- FEATURED BOX PRIMARY -------- */
.featured-box-primary .icon-featured {
  background-color: var(--primary);
  fill: var(--primary);
}

.featured-box-effect-3.featured-box-primary:hover .icon-featured {
  background: var(--primary) !important;
  fill: #ffffff;
}

/* --------- FEATURED BOX PRIMARY-100 -------- */
.featured-box-primary-100 .icon-featured {
  background-color: var(--primary-100);
  fill: var(--primary-100);
}
.featured-box-primary-100 h4 {
  color: var(--primary-100);
}
.featured-box-primary-100 .box-content {
  border-top-color: var(--primary-100);
}

.featured-box-effect-3.featured-box-primary-100:hover .icon-featured {
  background: var(--primary-100) !important;
  fill: #ffffff;
}

.featured-box-primary-100 .box-content-border-bottom {
  border-bottom-color: var(--primary-100);
}
.featured-boxes-style-3 .featured-box.featured-box-primary-100 .icon-featured {
  border-color: var(--primary-100);
  color: var(--primary-100);
}
.featured-box-effect-3.featured-box-primary-100 .icon-featured:after {
  box-shadow: 0 0 0 10px var(--primary-100);
}

/* --------- FEATURED BOX PRIMARY-200 -------- */
.featured-box-primary-200 .icon-featured {
  background-color: var(--primary-200);
  fill: var(--primary-200);
}

.featured-box-effect-3.featured-box-primary-200:hover .icon-featured {
  background: var(--primary-200) !important;
  fill: #ffffff;
}

.featured-box-primary-200 h4 {
  color: var(--primary-200);
}
.featured-box-primary-200 .box-content {
  border-top-color: var(--primary-200);
}
.featured-box-primary-200 .box-content-border-bottom {
  border-bottom-color: var(--primary-200);
}
.featured-boxes-style-3 .featured-box.featured-box-primary-200 .icon-featured {
  border-color: var(--primary-200);
  color: var(--primary-200);
}
.featured-box-effect-3.featured-box-primary-200 .icon-featured:after {
  box-shadow: 0 0 0 10px var(--primary-200);
}

.featured-box-effect-3.featured-box-primary-300:hover .icon-featured {
  background: var(--primary-300) !important;
  fill: #ffffff;
}

/* --------- FEATURED BOX PRIMARY-300 -------- */
.featured-box-primary-300 .icon-featured {
  background-color: var(--primary-300);
  fill: var(--primary-300);
}
.featured-box-primary-300 h4 {
  color: var(--primary-300);
}
.featured-box-primary-300 .box-content {
  border-top-color: var(--primary-300);
}
.featured-box-primary-300 .box-content-border-bottom {
  border-bottom-color: var(--primary-300);
}
.featured-boxes-style-3 .featured-box.featured-box-primary-300 .icon-featured {
  border-color: var(--primary-300);
  color: var(--primary-300);
}
.featured-box-effect-3.featured-box-primary-300 .icon-featured:after {
  box-shadow: 0 0 0 10px var(--primary-300);
}

.btn-custom {
  color: var(--grey-300) !important;
}

.btn-custom:hover,
.btn-custom:focus {
  color: var(--grey-1000) !important;
}

/* POP UP CORNER */
.corner-pop {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 380px;
  background: white;
  padding: 15px;
  border-radius: 8px;
  box-shadow: 0 8px 26px rgba(0, 0, 0, 0.2);
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 1000;
  transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
}

.corner-pop.hidden {
  transform: translateX(100%);
  opacity: 0;
}

.pop-image {
  width: 100%;
  height: auto;
  margin: 10px 0;
  border-radius: 4px;
}

.read-more {
  width: 100%;
  text-align: center;
}

.close-btn {
  position: absolute;
  top: 8px;
  right: 10px;
  border: none;
  background: none;
  font-size: 18px;
  cursor: pointer;
}
